GDCM 3.2.1

Public Member Functions | List of all members
gdcm::CAPICryptoFactory Class Reference

`#include <gdcmCAPICryptoFactory.h>`

Inheritance diagram for gdcm::CAPICryptoFactory:
[legend]
Collaboration diagram for gdcm::CAPICryptoFactory:
[legend]

## Public Member Functions
| CAPICryptoFactory (CryptoLib id)
CryptographicMessageSyntax * | CreateCMSProvider ()

## Additional Inherited Members
Public Types inherited from gdcm::CryptoFactory
enum | CryptoLib { DEFAULT = 0 , OPENSSL = 1 , CAPI = 2 , OPENSSLP7 = 3 }
Static Public Member Functions inherited from gdcm::CryptoFactory
static CryptoFactory * | GetFactoryInstance (CryptoLib id=DEFAULT)
Protected Member Functions inherited from gdcm::CryptoFactory
| CryptoFactory ()=default
| CryptoFactory (CryptoLib id)
| ~CryptoFactory ()=default

## Constructor & Destructor Documentation

## ◆ CAPICryptoFactory()

gdcm::CAPICryptoFactory::CAPICryptoFactory | ( | CryptoLib | id | ) |

Referenced by CreateCMSProvider().

## Member Function Documentation

## ◆ CreateCMSProvider()

CryptographicMessageSyntax * gdcm::CAPICryptoFactory::CreateCMSProvider | ( |  | ) |
| virtual

Implements gdcm::CryptoFactory.

References CAPICryptoFactory().

The documentation for this class was generated from the following file:

- gdcmCAPICryptoFactory.h